<?php
namespace WSCOMUN\GDE;
use stdClass;
const unbounded = 'unbounded';

/**
 *
 * @author pbelenguer
 * @author pascual_dav@externos.gva.es
 *
 */
class ComposerGDE2
{
	/**
	 * Convierte un array en un arbol de objetos
	 *
	 * @access	protected
	 * @param  	array		$array	Array a convertir
	 * @return	stdClass	Devuelve el objeto equivalente
	*/
	protected function array2ObjectTree($array)
	{
		if (is_numeric(key($array)))
		{
			foreach ($array as $key => $value)
			{
				$array[$key] = $this->array_to_objecttree($value);
			}
			return $array;
		}
		$Object = new stdClass;
		foreach ($array as $key => $value)
		{
			if (is_array($value))
			{
				$Object->$key = $this->array_to_objecttree($value);
			}
			else
			{
				$Object->$key = $value;
			}
		}
		return $Object;
	}//Fin array2ObjectTree

	/**
	 * Convierte un objeto en un array asociativo
	 *
	 * @access	private
	 * @param  	array		$array	Array a convertir
	 * @return	stdClass	Devuelve el objeto equivalente
	 */
	protected function objectTree2array($obj)
	{
		if (is_array($obj) || is_object($obj))
		{
			$result = array();
			foreach ($obj as $key => $value)
			{
				$result[$key] = $this->objectTree2array($value);
			}
			return $result;
		}
		return $obj;
	}//Fin objectTree2array


	private function __anyType_SoapVar($childData, $fieldName, $namespace) {
//var_dump($childData);
		if (is_a($childData, 'DateTime')) {
//var_dump($childData);
//die('DateTime: ' . $fieldName);
			return new \SoapVar($childData->format(\DateTime::ATOM), XSD_DATETIME, 'dateTime', 'http://www.w3.org/2001/XMLSchema', $fieldName, $namespace);
		} elseif (is_int($childData)) {
//die('Integer: ' . $fieldName);
			return new \SoapVar($childData, XSD_INTEGER, null, null, $fieldName, $namespace);
		}

//die('Generic: ' . $fieldName);
		return new \SoapVar($childData, XSD_STRING, 'string', 'http://www.w3.org/2001/XMLSchema', $fieldName, $namespace);
	}

	private function __basic_SoapVar($childData, $basicType, $fieldName, $namespace) {
		switch ($basicType) {
			case XSD_DATETIME:
				return new \SoapVar($childData->format(\DateTime::ATOM), $basicType, null, null, $fieldName, $namespace);

			default:
				return new \SoapVar($childData, $basicType, null, null, $fieldName, $namespace);
		}
	}

	public function __doChild($parentTag, $vData, $fieldName, $type, $namespace, $minOccurs, $maxOccurs)
	{
//echo("__doChild: $type [$fieldName]<br>");
		$fieldSet = isset($vData[$fieldName]);
		if (!$fieldSet) {
			if ($minOccurs > 0) {
				throw new \Exception("No se ha encontrado el subcampo obligatorio '" . $fieldName . '"');
			} else {
				return true;
			}
		}

		$vChildData = $vData[$fieldName];
		if ($maxOccurs == 1) {
			$vChildData = array( $vData[$fieldName] );
		} else {
			if ($maxOccurs != 'unbounded') {
				if ($maxOccurs > sizeof($vChildData)) {
					throw new \Exception("El campo '" . $fieldName . '" no tiene tantas ocurrencias como se esperaban');
				}
			} else {
//				var_dump($vChildData);die;
			}
		}

//var_dump(array_keys($vChildData));
		for ($iIter=0; $iIter < sizeof($vChildData); $iIter++) {
			$childData = $vChildData[$iIter];

			if ((($minOccurs > 0) && $fieldSet) || $fieldSet) {
				if (isset($this->vBasics[$type])) {

					$basicType = $this->vBasics[$type];
//echo("Basic: $type | $basicType [$fieldName]<br>");
					if ($basicType !== XSD_ANYTYPE) {
						$childSOAP = $this->__basic_SoapVar($childData, $basicType, $fieldName, $namespace);
					} else {
						$childSOAP = $this->__anyType_SoapVar($childData, $fieldName, $namespace);
					}
					$parentTag->append( $childSOAP );
//					return true;

				} else { //if (isset($this->$funcName)) {
					$funcName = '__cde__' . $type . '_full';
//echo("FuncName: $funcName | $type [$fieldName]<br>");

					$childSOAP = $this->$funcName($childData, $fieldName, $namespace);
					$parentTag->append( $childSOAP );
//					return true;
				}
			} else {
				return false;
			}

		}

		// TODO: HACER EL MULTIAPARICION!!!
		/*
		var_dump($parentTag);
		var_dump($vData);
		var_dump($fieldName);
		var_dump($type);
		var_dump($namespace);
		var_dump($minOccurs);
		var_dump($maxOccurs);

		die("FAIL!!!");
		*/

		return true;
	}





	/******************************************/
	/********** CODIGO AUTO-GENERADO **********/
	/******************************************/
















private function __cde__wPropiedadesError($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'propiedadError', 'wPropiedadError', $namespace, 0, unbounded);	// name="propiedadError" type="wPropiedadError" minOccurs="0"
  return $myLevel;
}

public function __cde__wPropiedadesError_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__wPropiedadesError($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__wPropiedadError($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'propiedad', 'xsd:string', $namespace, 0, 1);	// name="propiedad" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'valor', 'xsd:string', $namespace, 0, 1);	// name="valor" type="xsd:string" minOccurs="0"
  return $myLevel;
}

public function __cde__wPropiedadError_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__wPropiedadError($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__ExcepcionWS($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoError', 'xsd:string', $namespace, 1, 1);	// name="codigoError" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'mensajeError', 'xsd:string', $namespace, 1, 1);	// name="mensajeError" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'detalleError', 'xsd:string', $namespace, 1, 1);	// name="detalleError" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'propiedadesError', 'wPropiedadesError', $namespace, 1, 1);	// name="propiedadesError" type="wPropiedadesError" minOccurs="1"
  return $myLevel;
}

public function __cde__ExcepcionWS_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__ExcepcionWS($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionInsertarDocumentoENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'insertarDocumentoENI', $namespace, 1, 1);	// name="peticion" type="insertarDocumentoENI" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionInsertarDocumentoENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionInsertarDocumentoENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__insertarDocumentoENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'documentoENI', 'xsd:base64Binary', $namespace, 1, 1);	// name="documentoENI" type="xsd:base64Binary" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 1, 1);	// name="nombre" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'tipoPersonalizado', 'xsd:string', $namespace, 0, 1);	// name="tipoPersonalizado" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'coleccionMetadatosPersonalizados', 'coleccionMetadatosPersonalizados', $namespace, 0, unbounded);	// name="coleccionMetadatosPersonalizados" type="coleccionMetadatosPersonalizados" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 0, 1);	// name="path" type="xsd:string" minOccurs="0"
  return $myLevel;
}

public function __cde__insertarDocumentoENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__insertarDocumentoENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaInsertarDocumentoENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'insertarDocumentoENIResponse', $namespace, 1, 1);	// name="respuesta" type="insertarDocumentoENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaInsertarDocumentoENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaInsertarDocumentoENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__insertarDocumentoENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 1, 1);	// name="nombre" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__insertarDocumentoENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__insertarDocumentoENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionInsertarDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'insertarDocumento', $namespace, 1, 1);	// name="peticion" type="insertarDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionInsertarDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionInsertarDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__insertarDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  //Review DAVID Cambiamos contenido. Si indicamos base64Binary, el servidor vuelve a codificar
  $this->__doChild($myLevel, $vData, 'contenido', 'xsd:string', $namespace, 1, 1);	// name="contenido" type="xsd:base64Binary" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 1, 1);	// name="nombre" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 0, 1);	// name="path" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'tipoPersonalizado', 'xsd:string', $namespace, 0, 1);	// name="tipoPersonalizado" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'metadatosENI', 'metadatosENI', $namespace, 0, 1);	// name="metadatosENI" type="metadatosENI" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'coleccionMetadatosPersonalizados', 'coleccionMetadatosPersonalizados', $namespace, 0, unbounded);	// name="coleccionMetadatosPersonalizados" type="coleccionMetadatosPersonalizados" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'firmas', 'firma', $namespace, 0, unbounded);	// name="firmas" type="firma" minOccurs="0"
  return $myLevel;
}

public function __cde__insertarDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__insertarDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaInsertarDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'insertarDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="insertarDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaInsertarDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaInsertarDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__insertarDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 1, 1);	// name="nombre" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__insertarDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__insertarDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEliminarDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'eliminarDocumento', $namespace, 1, 1);	// name="peticion" type="eliminarDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEliminarDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEliminarDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__eliminarDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__eliminarDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__eliminarDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEliminarDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'eliminarDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="eliminarDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEliminarDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEliminarDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__eliminarDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__eliminarDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__eliminarDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEliminarCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'eliminarCarpeta', $namespace, 1, 1);	// name="peticion" type="eliminarCarpeta" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEliminarCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEliminarCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__eliminarCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__eliminarCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__eliminarCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEliminarCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'eliminarCarpetaResponse', $namespace, 1, 1);	// name="respuesta" type="eliminarCarpetaResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEliminarCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEliminarCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__eliminarCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__eliminarCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__eliminarCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerDocumentoENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerDocumentoENI', $namespace, 1, 1);	// name="peticion" type="obtenerDocumentoENI" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerDocumentoENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerDocumentoENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerDocumentoENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerDocumentoENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerDocumentoENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerDocumentoENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerDocumentoENIResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerDocumentoENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerDocumentoENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerDocumentoENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerDocumentoENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'documentoENI', 'xsd:base64Binary', $namespace, 0, 1);	// name="documentoENI" type="xsd:base64Binary" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'borrado', 'xsd:boolean', $namespace, 1, 1);	// name="borrado" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerDocumentoENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerDocumentoENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerListaVersionesDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerListaVersionesDocumento', $namespace, 1, 1);	// name="peticion" type="obtenerListaVersionesDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerListaVersionesDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerListaVersionesDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerListaVersionesDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerListaVersionesDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerListaVersionesDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerListaVersionesDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerListaVersionesDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerListaVersionesDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerListaVersionesDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerListaVersionesDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerListaVersionesDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'version', 'xsd:string', $namespace, 0, unbounded);	// name="version" type="xsd:string" minOccurs="0"
  return $myLevel;
}

public function __cde__obtenerListaVersionesDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerListaVersionesDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerVersionDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerVersionDocumento', $namespace, 1, 1);	// name="peticion" type="obtenerVersionDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerVersionDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerVersionDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerVersionDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'parcial', 'parcial', $namespace, 1, 1);	// name="parcial" type="parcial" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'version', 'xsd:string', $namespace, 1, 1);	// name="version" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerVersionDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerVersionDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerVersionDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerVersionDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerVersionDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerVersionDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerVersionDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerVersionDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'contenido', 'xsd:base64Binary', $namespace, 0, 1);	// name="contenido" type="xsd:base64Binary" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 0, 1);	// name="nombre" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'tipoPersonalizado', 'xsd:string', $namespace, 0, 1);	// name="tipoPersonalizado" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'borrado', 'xsd:boolean', $namespace, 1, 1);	// name="borrado" type="xsd:boolean" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosENI', 'metadatosENI', $namespace, 0, 1);	// name="metadatosENI" type="metadatosENI" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'metadatosPersonalizados', 'metadatosPersonalizado', $namespace, 0, unbounded);	// name="metadatosPersonalizados" type="metadatosPersonalizado" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'firmas', 'firma', $namespace, 0, unbounded);	// name="firmas" type="firma" minOccurs="0"
  return $myLevel;
}

public function __cde__obtenerVersionDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerVersionDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionRestaurarVersionDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'restaurarVersionDocumento', $namespace, 1, 1);	// name="peticion" type="restaurarVersionDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionRestaurarVersionDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionRestaurarVersionDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__restaurarVersionDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'version', 'xsd:string', $namespace, 1, 1);	// name="version" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'parcial', 'parcial', $namespace, 1, 1);	// name="parcial" type="parcial" minOccurs="1"
  return $myLevel;
}

public function __cde__restaurarVersionDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__restaurarVersionDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaRestaurarVersionDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'respuestaRestaurarVersionDocumento', $namespace, 1, 1);	// name="respuesta" type="respuestaRestaurarVersionDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaRestaurarVersionDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaRestaurarVersionDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaRestaurarVersionDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaRestaurarVersionDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaRestaurarVersionDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerPathDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerPathDocumento', $namespace, 1, 1);	// name="peticion" type="obtenerPathDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerPathDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerPathDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerPathDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerPathDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerPathDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerPathDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerPathDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerPathDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerPathDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerPathDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerPathDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerPathDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerPathDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEliminarCarpetaRecursiva($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'eliminarCarpetaRecursiva', $namespace, 1, 1);	// name="peticion" type="eliminarCarpetaRecursiva" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEliminarCarpetaRecursiva_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEliminarCarpetaRecursiva($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__eliminarCarpetaRecursiva($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__eliminarCarpetaRecursiva_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__eliminarCarpetaRecursiva($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEliminarCarpetaRecursivaRespuesta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'eliminarCarpetaRecursivaResponse', $namespace, 1, 1);	// name="respuesta" type="eliminarCarpetaRecursivaResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEliminarCarpetaRecursivaRespuesta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEliminarCarpetaRecursivaRespuesta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__eliminarCarpetaRecursivaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__eliminarCarpetaRecursivaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__eliminarCarpetaRecursivaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerDocumento', $namespace, 1, 1);	// name="peticion" type="obtenerDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'parcial', 'parcial', $namespace, 1, 1);	// name="parcial" type="parcial" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerDocumentoRespuesta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerDocumentoRespuesta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerDocumentoRespuesta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'contenido', 'xsd:base64Binary', $namespace, 0, 1);	// name="contenido" type="xsd:base64Binary" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 0, 1);	// name="nombre" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'tipoPersonalizado', 'xsd:string', $namespace, 0, 1);	// name="tipoPersonalizado" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'borrado', 'xsd:boolean', $namespace, 1, 1);	// name="borrado" type="xsd:boolean" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosENI', 'metadatosENI', $namespace, 0, 1);	// name="metadatosENI" type="metadatosENI" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'metadatosPersonalizados', 'metadatosPersonalizado', $namespace, 0, unbounded);	// name="metadatosPersonalizados" type="metadatosPersonalizado" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'firmas', 'firma', $namespace, 0, unbounded);	// name="firmas" type="firma" minOccurs="0"
  return $myLevel;
}

public function __cde__obtenerDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionMoverDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'moverDocumento', $namespace, 1, 1);	// name="peticion" type="moverDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionMoverDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionMoverDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__moverDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'pathDestino', 'xsd:string', $namespace, 1, 1);	// name="pathDestino" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__moverDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__moverDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaMoverDocumentoRespuesta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'moverDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="moverDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaMoverDocumentoRespuesta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaMoverDocumentoRespuesta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__moverDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__moverDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__moverDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionActualizarDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'actualizarDocumento', $namespace, 1, 1);	// name="peticion" type="actualizarDocumento" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionActualizarDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionActualizarDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__actualizarDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'contenido', 'xsd:base64Binary', $namespace, 1, 1);	// name="contenido" type="xsd:base64Binary" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'firmas', 'firma', $namespace, 0, unbounded);	// name="firmas" type="firma" minOccurs="0"
  return $myLevel;
}

public function __cde__actualizarDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__actualizarDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaActualizarDocumentoRespuesta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'actualizarDocumentoResponse', $namespace, 1, 1);	// name="respuesta" type="actualizarDocumentoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaActualizarDocumentoRespuesta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaActualizarDocumentoRespuesta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__actualizarDocumentoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'version', 'xsd:string', $namespace, 1, 1);	// name="version" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__actualizarDocumentoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__actualizarDocumentoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionMoverCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'moverCarpeta', $namespace, 1, 1);	// name="peticion" type="moverCarpeta" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionMoverCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionMoverCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__moverCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'pathOrigen', 'xsd:string', $namespace, 1, 1);	// name="pathOrigen" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'pathDestino', 'xsd:string', $namespace, 1, 1);	// name="pathDestino" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__moverCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__moverCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaMoverCarpetaRespuesta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'moverCarpetaResponse', $namespace, 1, 1);	// name="respuesta" type="moverCarpetaResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaMoverCarpetaRespuesta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaMoverCarpetaRespuesta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__moverCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__moverCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__moverCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEstablecerMetadatosENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'establecerMetadatosENI', $namespace, 1, 1);	// name="peticion" type="establecerMetadatosENI" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEstablecerMetadatosENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEstablecerMetadatosENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosENI', 'metadatosENI', $namespace, 1, 1);	// name="metadatosENI" type="metadatosENI" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEstablecerMetadatosENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'establecerMetadatosENIResponse', $namespace, 1, 1);	// name="respuesta" type="establecerMetadatosENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEstablecerMetadatosENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEstablecerMetadatosENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEstablecerMetadatosPersonalizados($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'establecerMetadatosPersonalizados', $namespace, 1, 1);	// name="peticion" type="establecerMetadatosPersonalizados" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEstablecerMetadatosPersonalizados_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEstablecerMetadatosPersonalizados($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosPersonalizados($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'coleccionMetadatosPersonalizados', 'coleccionMetadatosPersonalizados', $namespace, 1, unbounded);	// name="coleccionMetadatosPersonalizados" type="coleccionMetadatosPersonalizados" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosPersonalizados_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosPersonalizados($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEstablecerMetadatosPersonalizadosResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'establecerMetadatosPersonalizadosResponse', $namespace, 1, 1);	// name="respuesta" type="establecerMetadatosPersonalizadosResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEstablecerMetadatosPersonalizadosResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEstablecerMetadatosPersonalizadosResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosPersonalizadosResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosPersonalizadosResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosPersonalizadosResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEstablecerMetadatosEstandar($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'establecerMetadatosEstandar', $namespace, 1, 1);	// name="peticion" type="establecerMetadatosEstandar" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEstablecerMetadatosEstandar_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEstablecerMetadatosEstandar($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosEstandar($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosEstandar', 'metadatosEstandar', $namespace, 1, unbounded);	// name="metadatosEstandar" type="metadatosEstandar" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosEstandar_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosEstandar($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEstablecerMetadatosEstandarResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'establecerMetadatosEstandarResponse', $namespace, 1, 1);	// name="respuesta" type="establecerMetadatosEstandarResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEstablecerMetadatosEstandarResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEstablecerMetadatosEstandarResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosEstandarResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosEstandarResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosEstandarResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__metadatosEstandar($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'idMetaDatoEst', 'xsd:string', $namespace, 1, 1);	// name="idMetaDatoEst" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'tipoMetaDatoEst', 'tipoMetadato', $namespace, 1, 1);	// name="tipoMetaDatoEst" type="tipoMetadato" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'valorMetaDatoEst', 'xsd:anyType', $namespace, 0, unbounded);	// name="valorMetaDatoEst" type="xsd:anyType" minOccurs="0"
  return $myLevel;
}

public function __cde__metadatosEstandar_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__metadatosEstandar($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionAsociarFirmas($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'asociarFirmas', $namespace, 1, 1);	// name="peticion" type="asociarFirmas" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionAsociarFirmas_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionAsociarFirmas($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__asociarFirmas($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'firmas', 'firma', $namespace, 1, unbounded);	// name="firmas" type="firma" minOccurs="1"
  return $myLevel;
}

public function __cde__asociarFirmas_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__asociarFirmas($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaAsociarFirmasResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'asociarFirmasResponse', $namespace, 1, 1);	// name="respuesta" type="asociarFirmasResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaAsociarFirmasResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaAsociarFirmasResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__asociarFirmasResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__asociarFirmasResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__asociarFirmasResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEmpaquetarDocumentoENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'empaquetarDocumentoENI', $namespace, 1, 1);	// name="peticion" type="empaquetarDocumentoENI" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEmpaquetarDocumentoENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEmpaquetarDocumentoENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__empaquetarDocumentoENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'contenido', 'xsd:base64Binary', $namespace, 1, 1);	// name="contenido" type="xsd:base64Binary" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosENI', 'metadatosENI', $namespace, 1, 1);	// name="metadatosENI" type="metadatosENI" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'firmas', 'firma', $namespace, 1, unbounded);	// name="firmas" type="firma" minOccurs="1"
  return $myLevel;
}

public function __cde__empaquetarDocumentoENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__empaquetarDocumentoENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEmpaquetarDocumentoENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'empaquetarDocumentoENIResponse', $namespace, 1, 1);	// name="respuesta" type="empaquetarDocumentoENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEmpaquetarDocumentoENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEmpaquetarDocumentoENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__empaquetarDocumentoENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'documentoENI', 'xsd:base64Binary', $namespace, 1, 1);	// name="documentoENI" type="xsd:base64Binary" minOccurs="1"
  return $myLevel;
}

public function __cde__empaquetarDocumentoENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__empaquetarDocumentoENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaBuscarDocumentosResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'buscarDocumentosResponse', $namespace, 1, 1);	// name="respuesta" type="buscarDocumentosResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaBuscarDocumentosResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaBuscarDocumentosResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__buscarDocumentosResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 0, unbounded);	// name="referenciaDocumento" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 0, unbounded);	// name="nombre" type="xsd:string" minOccurs="0"
  return $myLevel;
}

public function __cde__buscarDocumentosResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__buscarDocumentosResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionBuscarDocCriterio($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 0, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'peticion', 'buscarDocCriterio', $namespace, 0, 1);	// name="peticion" type="buscarDocCriterio" minOccurs="0"
  return $myLevel;
}

public function __cde__peticionBuscarDocCriterio_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionBuscarDocCriterio($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__buscarDocCriterio($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'filtroPath', 'xsd:string', $namespace, 0, 1);	// name="filtroPath" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'buscarInTree', 'xsd:boolean', $namespace, 0, 1);	// name="buscarInTree" type="xsd:boolean" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'operacion', 'operacion', $namespace, 0, 1);	// name="operacion" type="operacion" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'coleccionCriterios', 'BuscarCriterio', $namespace, 0, unbounded);	// name="coleccionCriterios" type="BuscarCriterio" minOccurs="0"
  return $myLevel;
}

public function __cde__buscarDocCriterio_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__buscarDocCriterio($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__BuscarCriterio($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'tipo', 'tipoCriterio', $namespace, 0, 1);	// name="tipo" type="tipoCriterio" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 0, 1);	// name="nombre" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'paramNombre', 'xsd:string', $namespace, 0, 1);	// name="paramNombre" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'paramTipo', 'tipoMetadato', $namespace, 0, 1);	// name="paramTipo" type="tipoMetadato" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'paramValor', 'xsd:anyType', $namespace, 0, 1);	// name="paramValor" type="xsd:anyType" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'operador', 'tipoCriterioOperador', $namespace, 0, 1);	// name="operador" type="tipoCriterioOperador" minOccurs="0"
  return $myLevel;
}

public function __cde__BuscarCriterio_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__BuscarCriterio($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionBuscarDocCriterioPaginado($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 0, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'peticion', 'buscarDocCriterioPaginado', $namespace, 0, 1);	// name="peticion" type="buscarDocCriterioPaginado" minOccurs="0"
  return $myLevel;
}

public function __cde__peticionBuscarDocCriterioPaginado_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionBuscarDocCriterioPaginado($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__buscarDocCriterioPaginado($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'paginacion', 'paginacion', $namespace, 1, 1);	// name="paginacion" type="paginacion" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'filtroPath', 'xsd:string', $namespace, 0, 1);	// name="filtroPath" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'buscarInTree', 'xsd:boolean', $namespace, 0, 1);	// name="buscarInTree" type="xsd:boolean" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'operacion', 'operacion', $namespace, 0, 1);	// name="operacion" type="operacion" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'coleccionCriterios', 'BuscarCriterio', $namespace, 0, unbounded);	// name="coleccionCriterios" type="BuscarCriterio" minOccurs="0"
  return $myLevel;
}

public function __cde__buscarDocCriterioPaginado_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__buscarDocCriterioPaginado($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__paginacion($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'registrosPagina', 'xsd:int', $namespace, 1, 1);	// name="registrosPagina" type="xsd:int" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'pagina', 'xsd:int', $namespace, 1, 1);	// name="pagina" type="135" minOccurs="1"
  return $myLevel;
}

public function __cde__paginacion_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__paginacion($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaBuscarDocumentosPaginadoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'buscarDocumentosPaginadoResponse', $namespace, 1, 1);	// name="respuesta" type="buscarDocumentosPaginadoResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaBuscarDocumentosPaginadoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaBuscarDocumentosPaginadoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__buscarDocumentosPaginadoResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'total', 'xsd:int', $namespace, 1, 1);	// name="total" type="xsd:int" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'documentos', 'documento', $namespace, 0, unbounded);	// name="documentos" type="documento" minOccurs="0"
  return $myLevel;
}

public function __cde__buscarDocumentosPaginadoResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__buscarDocumentosPaginadoResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__documento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 0, 1);	// name="referenciaDocumento" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'nombre', 'xsd:string', $namespace, 0, 1);	// name="nombre" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'metadatos', 'metadatosDocumento', $namespace, 0, 1);	// name="metadatos" type="metadatosDocumento" minOccurs="0"
  return $myLevel;
}

public function __cde__documento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__documento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__metadatosDocumento($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'metadatosENI', 'metadatosENI', $namespace, 0, 1);	// name="metadatosENI" type="metadatosENI" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'metadatosPersonalizados', 'metadatosPersonalizado', $namespace, 0, unbounded);	// name="metadatosPersonalizados" type="metadatosPersonalizado" minOccurs="0"
  return $myLevel;
}

public function __cde__metadatosDocumento_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__metadatosDocumento($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionGenerarIdentificadorENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionGenerarIdentificadorENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionGenerarIdentificadorENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaGenerarIdentificadorENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'generarIdentificadorENIResponse', $namespace, 1, 1);	// name="respuesta" type="generarIdentificadorENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaGenerarIdentificadorENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaGenerarIdentificadorENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__generarIdentificadorENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'identificadorENI', 'xsd:string', $namespace, 1, 1);	// name="identificadorENI" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__generarIdentificadorENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__generarIdentificadorENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionGenerarToken($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'generarToken', $namespace, 1, 1);	// name="peticion" type="generarToken" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionGenerarToken_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionGenerarToken($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__generarToken($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, unbounded);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__generarToken_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__generarToken($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaGenerarTokenResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'generarTokenResponse', $namespace, 1, 1);	// name="respuesta" type="generarTokenResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaGenerarTokenResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaGenerarTokenResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__generarTokenResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'token', 'xsd:string', $namespace, 1, unbounded);	// name="token" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__generarTokenResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__generarTokenResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionCrearCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'crearCarpeta', $namespace, 1, 1);	// name="peticion" type="crearCarpeta" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionCrearCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionCrearCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__crearCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'tipoPersonalizado', 'xsd:string', $namespace, 0, 1);	// name="tipoPersonalizado" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'metadatosExpedienteEni', 'metadatosExpedienteEni', $namespace, 0, 1);	// name="metadatosExpedienteEni" type="metadatosExpedienteEni" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'coleccionMetadatosPersonalizados', 'coleccionMetadatosPersonalizados', $namespace, 0, unbounded);	// name="coleccionMetadatosPersonalizados" type="coleccionMetadatosPersonalizados" minOccurs="0"
  return $myLevel;
}

public function __cde__crearCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__crearCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaCrearCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'crearCarpetaResponse', $namespace, 1, 1);	// name="respuesta" type="crearCarpetaResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaCrearCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaCrearCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__crearCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__crearCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__crearCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEstablecerMetadatosCarpetaExpedienteENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'establecerMetadatosCarpetaExpedienteENI', $namespace, 1, 1);	// name="peticion" type="establecerMetadatosCarpetaExpedienteENI" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEstablecerMetadatosCarpetaExpedienteENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEstablecerMetadatosCarpetaExpedienteENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosCarpetaExpedienteENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosExpedienteEni', 'metadatosExpedienteEni', $namespace, 1, 1);	// name="metadatosExpedienteEni" type="metadatosExpedienteEni" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosCarpetaExpedienteENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosCarpetaExpedienteENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEstablecerMetadatosCarpetaExpedienteENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'establecerMetadatosCarpetaExpedienteENIResponse', $namespace, 1, 1);	// name="respuesta" type="establecerMetadatosCarpetaExpedienteENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEstablecerMetadatosCarpetaExpedienteENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEstablecerMetadatosCarpetaExpedienteENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatosCarpetaExpedienteENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatosCarpetaExpedienteENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatosCarpetaExpedienteENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionEstablecerMetadatoCarpetasPersonalizados($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'establecerMetadatoCarpetasPersonalizados', $namespace, 1, 1);	// name="peticion" type="establecerMetadatoCarpetasPersonalizados" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionEstablecerMetadatoCarpetasPersonalizados_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionEstablecerMetadatoCarpetasPersonalizados($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatoCarpetasPersonalizados($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'coleccionMetadatosPersonalizados', 'coleccionMetadatosPersonalizados', $namespace, 1, unbounded);	// name="coleccionMetadatosPersonalizados" type="coleccionMetadatosPersonalizados" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatoCarpetasPersonalizados_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatoCarpetasPersonalizados($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaEstablecerMetadatoCarpetasPersonalizadosResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'establecerMetadatoCarpetasPersonalizadosResponse', $namespace, 1, 1);	// name="respuesta" type="establecerMetadatoCarpetasPersonalizadosResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaEstablecerMetadatoCarpetasPersonalizadosResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaEstablecerMetadatoCarpetasPersonalizadosResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__establecerMetadatoCarpetasPersonalizadosResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'correcto', 'xsd:boolean', $namespace, 1, 1);	// name="correcto" type="xsd:boolean" minOccurs="1"
  return $myLevel;
}

public function __cde__establecerMetadatoCarpetasPersonalizadosResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__establecerMetadatoCarpetasPersonalizadosResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerExpedienteENIdeCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerExpedienteENIdeCarpeta', $namespace, 1, 1);	// name="peticion" type="obtenerExpedienteENIdeCarpeta" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerExpedienteENIdeCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerExpedienteENIdeCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerExpedienteENIdeCarpeta($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'path', 'xsd:string', $namespace, 1, 1);	// name="path" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'datosCertificado', 'datosCertificado', $namespace, 0, 1);	// name="datosCertificado" type="datosCertificado" minOccurs="0"
  return $myLevel;
}

public function __cde__obtenerExpedienteENIdeCarpeta_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerExpedienteENIdeCarpeta($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerExpedienteENIdeCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerExpedienteENIdeCarpetaResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerExpedienteENIdeCarpetaResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerExpedienteENIdeCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerExpedienteENIdeCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerExpedienteENIdeCarpetaResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'expedienteElectronicoENI', 'xsd:base64Binary', $namespace, 1, 1);	// name="expedienteElectronicoENI" type="xsd:base64Binary" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerExpedienteENIdeCarpetaResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerExpedienteENIdeCarpetaResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__peticionObtenerExpedienteENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'codigoAplicacion', 'xsd:string', $namespace, 1, 1);	// name="codigoAplicacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'peticion', 'obtenerExpedienteENI', $namespace, 1, 1);	// name="peticion" type="obtenerExpedienteENI" minOccurs="1"
  return $myLevel;
}

public function __cde__peticionObtenerExpedienteENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__peticionObtenerExpedienteENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerExpedienteENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'datosCertificado', 'datosCertificado', $namespace, 0, 1);	// name="datosCertificado" type="datosCertificado" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'referenciaDocumento', 'xsd:string', $namespace, 1, unbounded);	// name="referenciaDocumento" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosExpedienteEni', 'metadatosExpedienteEni', $namespace, 1, 1);	// name="metadatosExpedienteEni" type="metadatosExpedienteEni" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerExpedienteENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerExpedienteENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__respuestaObtenerExpedienteENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'respuesta', 'obtenerExpedienteENIResponse', $namespace, 1, 1);	// name="respuesta" type="obtenerExpedienteENIResponse" minOccurs="1"
  return $myLevel;
}

public function __cde__respuestaObtenerExpedienteENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__respuestaObtenerExpedienteENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__obtenerExpedienteENIResponse($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'expedienteElectronicoENI', 'xsd:base64Binary', $namespace, 1, 1);	// name="expedienteElectronicoENI" type="xsd:base64Binary" minOccurs="1"
  return $myLevel;
}

public function __cde__obtenerExpedienteENIResponse_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__obtenerExpedienteENIResponse($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__metadatosENI($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'versionNTI', 'xsd:string', $namespace, 1, 1);	// name="versionNTI" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'identificador', 'xsd:string', $namespace, 1, 1);	// name="identificador" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'tipoDocumental', 'tipoDocumental', $namespace, 1, 1);	// name="tipoDocumental" type="tipoDocumental" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'nombreFormato', 'xsd:string', $namespace, 1, 1);	// name="nombreFormato" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'organo', 'xsd:string', $namespace, 1, unbounded);	// name="organo" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'fechaCaptura', 'xsd:datetime', $namespace, 1, 1);	// name="fechaCaptura" type="xsd:datetime" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'estadoElaboracion', 'estadoElaboracion', $namespace, 1, 1);	// name="estadoElaboracion" type="estadoElaboracion" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'origenCiudadanoAdministracion', 'xsd:boolean', $namespace, 1, 1);	// name="origenCiudadanoAdministracion" type="xsd:boolean" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'identificadorDocumentoOrigen', 'xsd:string', $namespace, 0, 1);	// name="identificadorDocumentoOrigen" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'fechaIncorporacionExpediente', 'xsd:datetime', $namespace, 0, 1);	// name="fechaIncorporacionExpediente" type="xsd:datetime" minOccurs="0"
  return $myLevel;
}

public function __cde__metadatosENI_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__metadatosENI($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__coleccionMetadatosPersonalizados($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'idColeccionMetadatosPersonalizados', 'xsd:string', $namespace, 1, 1);	// name="idColeccionMetadatosPersonalizados" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'tipoColeccion', 'tipoColeccion', $namespace, 1, 1);	// name="tipoColeccion" type="tipoColeccion" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'metadatosPersonalizados', 'metadatosPersonalizado', $namespace, 1, unbounded);	// name="metadatosPersonalizados" type="metadatosPersonalizado" minOccurs="1"
  return $myLevel;
}

public function __cde__coleccionMetadatosPersonalizados_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__coleccionMetadatosPersonalizados($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__metadatosPersonalizado($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'idMetaDatoPers', 'xsd:string', $namespace, 1, 1);	// name="idMetaDatoPers" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'tipoMetaDatoPers', 'tipoMetadato', $namespace, 1, 1);	// name="tipoMetaDatoPers" type="tipoMetadato" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'valorMetaDatoPers', 'xsd:anyType', $namespace, 0, unbounded);	// name="valorMetaDatoPers" type="xsd:anyType" minOccurs="0"
  return $myLevel;
}

public function __cde__metadatosPersonalizado_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__metadatosPersonalizado($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__firma($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'tipo', 'tipo', $namespace, 1, 1);	// name="tipo" type="tipo" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'subtipo', 'xsd:string', $namespace, 0, 1);	// name="subtipo" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'validez', 'xsd:datetime', $namespace, 0, 1);	// name="validez" type="xsd:datetime" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'firmante', 'xsd:string', $namespace, 0, 1);	// name="firmante" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'dni', 'xsd:string', $namespace, 0, 1);	// name="dni" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'fechaFirma', 'xsd:datetime', $namespace, 0, 1);	// name="fechaFirma" type="xsd:datetime" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'CSV', 'xsd:string', $namespace, 0, 1);	// name="CSV" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'regCSV', 'xsd:string', $namespace, 0, 1);	// name="regCSV" type="xsd:string" minOccurs="0"
  $this->__doChild($myLevel, $vData, 'contenidoFirma', 'xsd:base64Binary', $namespace, 0, 1);	// name="contenidoFirma" type="xsd:base64Binary" minOccurs="0"
  return $myLevel;
}

public function __cde__firma_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__firma($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__metadatosExpedienteEni($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'versionNTI', 'xsd:string', $namespace, 1, 1);	// name="versionNTI" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'organo', 'xsd:string', $namespace, 1, unbounded);	// name="organo" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'identificador', 'xsd:string', $namespace, 1, 1);	// name="identificador" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'fechaAperturaExpediente', 'xsd:datetime', $namespace, 1, 1);	// name="fechaAperturaExpediente" type="xsd:datetime" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'estado', 'estado', $namespace, 1, 1);	// name="estado" type="estado" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'clasificacion', 'xsd:string', $namespace, 1, 1);	// name="clasificacion" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'interesado', 'xsd:string', $namespace, 1, unbounded);	// name="interesado" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__metadatosExpedienteEni_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__metadatosExpedienteEni($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private function __cde__datosCertificado($vData, $fieldName, $namespace)
{
  $myLevel = new \ArrayObject();
  $this->__doChild($myLevel, $vData, 'idCertificadoSafe', 'xsd:string', $namespace, 1, 1);	// name="idCertificadoSafe" type="xsd:string" minOccurs="1"
  $this->__doChild($myLevel, $vData, 'idSesionSafe', 'xsd:string', $namespace, 1, 1);	// name="idSesionSafe" type="xsd:string" minOccurs="1"
  return $myLevel;
}

public function __cde__datosCertificado_full($vData, $fieldName, $namespace)
{
  $myLevel = $this->__cde__datosCertificado($vData, $fieldName, $namespace);
  return new \SoapVar($myLevel, SOAP_ENC_OBJECT, null, null, $fieldName, $namespace);
}



private $vBasics = array(
	'tipoCriterioOperador' => 101, 'tipoCriterio' => 101, 'tipoColeccion' => 101, 'estadoElaboracion' => 101, 'tipoDocumental' => 101, 'tipo' => 101, 'operacion' => 101, 'parcial' => 135, 'estado' => 101, 'tipoMetadato' => 101, 'pagina' => 135,
	'xsd:string' => 101, 'xsd:int' => 135, 'xsd:integer' => 131, 'xsd:date' => 109, 'xsd:datetime' => XSD_DATETIME, 'xsd:gYear' => 111, 'xsd:base64Binary' => 116,
	'xsd:anyType' => XSD_ANYTYPE, 'xsd:boolean' => XSD_BOOLEAN
);
}
?>