<?php
namespace WSCMIME;
/**
 * Class representing a message part
 *
 * @package    WSCOMUN
 * @author     David PAscual. Based on Aleksander Machniak <alec@alec.pl>
 */
class WSCMessagePart
{
	/**
	 * Part MIME identifier
	 *
	 * @var string
	 */
	public $mime_id = '';
	/**
	 * Content main type
	 *
	 * @var string
	 */
	public $ctype_primary = 'text';
	/**
	 * Content subtype
	 *
	 * @var string
	 */
	public $ctype_secondary = 'plain';
	/**
	 * Complete content type
	 *
	 * @var string
	 */
	public $mimetype = 'text/plain';
	/**
	 * Part size in bytes
	 *
	 * @var int
	 */
	public $size = 0;
	/**
	 * Part headers
	 *
	 * @var array
	 */
	public $headers = array();
	public $disposition  = '';
	public $filename     = '';
	public $encoding     = '8bit';
	public $charset      = '';
	public $d_parameters = array();
	public $ctype_parameters = array();
	/**
	 * Clone handler.
	 */
	function __clone()
	{
		if (isset($this->parts)) {
			foreach ($this->parts as $idx => $part) {
				if (is_object($part)) {
					$this->parts[$idx] = clone $part;
				}
			}
		}
	}
}